### Method

# Fwupd SecurityAttr has_flag

since: 1.5.0

#### Declaration [src]

    gboolean
    fwupd_security_attr_has_flag (
      FwupdSecurityAttr* self,
      FwupdSecurityAttrFlags flag
    )

#### Description [src]

Finds if the attribute has a specific attribute flag.

Available since: 1.5.0

#### Parameters

`flag`

  Type: `FwupdSecurityAttrFlags`

  The attribute flag, e.g. `FWUPD_SECURITY_ATTR_FLAG_OBSOLETED`.

#### Return value

Type: `gboolean`

`TRUE` if the flag is set.